summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-03-20 22:28:19 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2020-03-20 22:33:36 +0000
commitab8fe14ae2e9110faa85ca1c4528b470c0be1535 (patch)
treedcf527048f101c7dc6e7539b59581bad4861a63c /eclass/tests
parentprofiles: Update gnome-extra/nautilus-dropbox package.mask (diff)
downloadgentoo-ab8fe14ae2e9110faa85ca1c4528b470c0be1535.tar.gz
gentoo-ab8fe14ae2e9110faa85ca1c4528b470c0be1535.tar.bz2
gentoo-ab8fe14ae2e9110faa85ca1c4528b470c0be1535.zip
flag-o-matic.eclass: don't use -Werror in test-flag-PROG(), bug #712488
-Werror filters out too much (everything) if used compiler happens to always generate warnings. Let's drop cosmetic stripping of ignored flags until we really need it. Then we can consider more selective filtering by using more targeted -Werror= options. Reported-by: Anton Gubarkov Closes: https://bugs.gentoo.org/712488 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'eclass/tests')
-rwxr-xr-xeclass/tests/flag-o-matic.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/tests/flag-o-matic.sh b/eclass/tests/flag-o-matic.sh
index 229dff52af94..6dfacb04c077 100755
--- a/eclass/tests/flag-o-matic.sh
+++ b/eclass/tests/flag-o-matic.sh
@@ -161,10 +161,12 @@ out=$(CC=clang test-flags-CC -finvalid-flag)
[[ $? -ne 0 && -z ${out} ]]
ftend
-tbegin "test-flags-CC (gcc-valid but clang-invalid flags)"
-out=$(CC=clang test-flags-CC -finline-limit=1200)
-[[ $? -ne 0 && -z ${out} ]]
-ftend
+### '-finline-limit=1200' is 'ignored' flag, not invalid.
+### We don't filter out ignored flags currently, bug #712488
+#tbegin "test-flags-CC (gcc-valid but clang-invalid flags)"
+#out=$(CC=clang test-flags-CC -finline-limit=1200)
+#[[ $? -ne 0 && -z ${out} ]]
+#ftend
tbegin "test-flags-CC (unused flags w/clang)"
out=$(CC=clang test-flags-CC -Wl,-O1)